Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QElastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QElastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QElastic.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QElastic.hh,v 1.1 2009/11/17 10:36:54 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QElastic header ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QInelastic.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QInelastic.hh,v 1.1 2009/11/17 10:36:54 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QInelastic header ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QIonIonElastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QIonIonElastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QIonIonElastic.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QIonIonElastic.hh,v 1.1 2009/11/17 10:36:54 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QIonIonElastic header ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QLowEnergy.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QLowEnergy.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QLowEnergy.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QLowEnergy.hh,v 1.1 2009/11/17 10:36:54 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QLowEnergy header ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QPDGToG4Particle.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QPDGToG4Particle.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QPDGToG4Particle.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QPDGToG4Particle.hh,v 1.1 2009/11/17 10:36:54 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QPDGToG4Particle header ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QSynchRad.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QSynchRad.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QSynchRad.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QSynchRad.hh,v 1.1 2009/11/17 10:36:54 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Created by Mikhail Kosov 6-Nov-2009
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QAtomicElectronScattering.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QAtomicElectronScattering.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QAtomicElectronScattering.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QAtomicElectronScattering.cc,v 1.1 2009/11/17 10:36:54 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QAtomicElectronScattering class -----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QCaptureAtRest.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QCaptureAtRest.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QCaptureAtRest.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QCaptureAtRest.cc,v 1.1 2009/11/17 10:36:55 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QCaptureAtRest class -----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QCoherentChargeExchange.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QCoherentChargeExchange.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QCoherentChargeExchange.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QCoherentChargeExchange.cc,v 1.1 2009/11/17 10:36:55 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QCoherentChargeExchange class -----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QDiffraction.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QDiffraction.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QDiffraction.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QDiffraction.cc,v 1.1 2009/11/17 10:36:55 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QDiffraction class -----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QDiscProcessMixer.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QDiscProcessMixer.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QDiscProcessMixer.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QDiscProcessMixer.cc,v 1.1 2009/11/17 10:36:55 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QDiscProcessMixer class -------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QElastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QElastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QElastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QElastic.cc,v 1.1 2009/11/17 10:36:55 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QElastic class -----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QInelastic.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QInelastic.cc,v 1.2 2009/11/19 16:32:56 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4QInelastic.cc,v 1.5 2009/12/03 18:09:07 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QInelastic class -----------------
@@ -68,11 +68,11 @@
 
 G4bool   G4QInelastic::manualFlag=false; // If false then standard parameters are used
-G4double G4QInelastic::Temperature=180.; // Critical Temperature (sensitive at High En)
+G4double G4QInelastic::Temperature=210.; // Critical Temperature (sensitive at High En)
 G4double G4QInelastic::SSin2Gluons=0.3;  // Supression of s-quarks (in respect to u&d)
 G4double G4QInelastic::EtaEtaprime=0.3;  // Supression of eta mesons (gg->qq/3g->qq)
-G4double G4QInelastic::freeNuc=0.5;      // Percentage of free nucleons on the surface
-G4double G4QInelastic::freeDib=0.05;     // Percentage of free diBaryons on the surface
+G4double G4QInelastic::freeNuc=.35;      // Percentage of free nucleons on the surface
+G4double G4QInelastic::freeDib=.05;      // Percentage of free diBaryons on the surface
 G4double G4QInelastic::clustProb=5.;     // Nuclear clusterization parameter
-G4double G4QInelastic::mediRatio=10.;    // medium/vacuum hadronization ratio
+G4double G4QInelastic::mediRatio=1.;     // medium/vacuum hadronization ratio
 G4int    G4QInelastic::nPartCWorld=152;  // The#of particles initialized in CHIPS World
 G4double G4QInelastic::SolidAngle=0.5;   // Part of Solid Angle to capture (@@A-dep.)
@@ -80,5 +80,5 @@
 G4double G4QInelastic::PiPrThresh=141.4; // Pion Production Threshold for gammas
 G4double G4QInelastic::M2ShiftVir=20000.;// Shift for M2=-Q2=m_pi^2 of the virtualGamma
-G4double G4QInelastic::DiNuclMass=1880.; // DoubleNucleon Mass for VirtualNormalization
+G4double G4QInelastic::DiNuclMass=1870.; // DoubleNucleon Mass for VirtualNormalization
 G4double G4QInelastic::photNucBias=1.;   // BiasingParameter for photo(e,mu,tau)Nuclear
 G4double G4QInelastic::weakNucBias=1.;   // BiasingParameter for ChargedCurrents(nu,mu) 
@@ -119,18 +119,20 @@
 G4QInelastic::~G4QInelastic()
 {
-  ElementZ.clear();
-  ElProbInMat.clear();
-  for(unsigned i=0; i < ElIsoN.size(); ++i)
-  {
-    std::vector<G4int>* curEIN=ElIsoN[i];
-    curEIN->clear();
-    delete curEIN;
-  }
-  for(unsigned i=0; i < IsoProbInEl.size(); ++i)
-  {
-    std::vector<G4double>* curEIN=IsoProbInEl[i];
-    curEIN->clear();
-    delete curEIN;
-  }
+  // The following is just a copy of what is done in PostStepDoIt every interaction !
+  // The correction is if(IPIE), so just for(...;ip<IPIE;...) does not work ! @@
+  G4int IPIE=IsoProbInEl.size();            // How many old elements?
+  if(IPIE) for(G4int ip=0; ip<IPIE; ++ip)   // Clean up the SumProb's of Isotopes (SPI)
+  {
+    std::vector<G4double>* SPI=IsoProbInEl[ip]; // Pointer to the SPI vector
+    SPI->clear();
+    delete SPI;
+    std::vector<G4int>* IsN=ElIsoN[ip];     // Pointer to the N vector
+    IsN->clear();
+    delete IsN;
+  }
+  ElProbInMat.clear();                      // Clean up the SumProb's of Elements (SPE)
+  ElementZ.clear();                         // Clear the body vector for Z of Elements
+  IsoProbInEl.clear();                      // Clear the body vector for SPI
+  ElIsoN.clear();                           // Clear the body vector for N of Isotopes
 }
 
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QIonIonElastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QIonIonElastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QIonIonElastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QIonIonElastic.cc,v 1.1 2009/11/17 10:36:55 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QIonIonElastic class -----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QLowEnergy.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QLowEnergy.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QLowEnergy.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QLowEnergy.cc,v 1.1 2009/11/17 10:36:55 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QLowEnergy class -----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QPDGToG4Particle.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QPDGToG4Particle.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QPDGToG4Particle.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QPDGToG4Particle.cc,v 1.1 2009/11/17 10:36:55 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ---------------- G4QG4ToG4Particle singletone class ------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QSynchRad.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QSynchRad.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/src/G4QSynchRad.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QSynchRad.cc,v 1.1 2009/11/17 10:36:55 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Created by Mikhail Kosov 6-Nov-2009
Index: trunk/source/processes/hadronic/models/coherent_elastic/include/G4CHIPSElastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/include/G4CHIPSElastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/coherent_elastic/include/G4CHIPSElastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CHIPSElastic.hh,v 1.3 2009/10/08 18:56:57 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Geant4 Header : G4CHIPSElastic
Index: trunk/source/processes/hadronic/models/coherent_elastic/include/G4ChargeExchange.hh
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/include/G4ChargeExchange.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/coherent_elastic/include/G4ChargeExchange.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ChargeExchange.hh,v 1.6 2009/09/22 16:21:46 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/coherent_elastic/include/G4ChargeExchangeProcess.hh
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/include/G4ChargeExchangeProcess.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/coherent_elastic/include/G4ChargeExchangeProcess.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ChargeExchangeProcess.hh,v 1.3 2008/11/20 12:35:19 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/coherent_elastic/include/G4DiffuseElastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/include/G4DiffuseElastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/coherent_elastic/include/G4DiffuseElastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DiffuseElastic.hh,v 1.17 2009/09/22 16:21:46 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/coherent_elastic/include/G4ElasticHadrNucleusHE.hh
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/include/G4ElasticHadrNucleusHE.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/coherent_elastic/include/G4ElasticHadrNucleusHE.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ElasticHadrNucleusHE.hh,v 1.47 2009/09/22 16:21:46 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4ElasticHadrNucleusHe.hh
Index: trunk/source/processes/hadronic/models/coherent_elastic/include/G4HadronElastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/include/G4HadronElastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/coherent_elastic/include/G4HadronElastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HadronElastic.hh,v 1.31 2009/10/08 18:56:57 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/coherent_elastic/include/G4NuclNuclDiffuseElastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/include/G4NuclNuclDiffuseElastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/coherent_elastic/include/G4NuclNuclDiffuseElastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NuclNuclDiffuseElastic.hh,v 1.8 2009/04/10 13:22:25 grichine Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/coherent_elastic/include/G4UHadronElasticProcess.hh
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/include/G4UHadronElasticProcess.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/coherent_elastic/include/G4UHadronElasticProcess.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UHadronElasticProcess.hh,v 1.10 2006/11/16 20:09:13 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Geant4 Hadron Elastic Scattering Process -- header file
Index: trunk/source/processes/hadronic/models/coherent_elastic/include/G4VHadronElastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/include/G4VHadronElastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/coherent_elastic/include/G4VHadronElastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VHadronElastic.hh,v 1.4 2009/09/23 14:37:44 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Geant4 Header : G4VHadronElastic
Index: trunk/source/processes/hadronic/models/coherent_elastic/include/G4WHadronElasticProcess.hh
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/include/G4WHadronElasticProcess.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/coherent_elastic/include/G4WHadronElasticProcess.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4WHadronElasticProcess.hh,v 1.2 2009/09/22 17:35:07 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Geant4 Hadron Elastic Scattering Process -- header file
Index: trunk/source/processes/hadronic/models/coherent_elastic/src/G4CHIPSElastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/src/G4CHIPSElastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/coherent_elastic/src/G4CHIPSElastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CHIPSElastic.cc,v 1.3 2009/10/08 18:56:57 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/coherent_elastic/src/G4ChargeExchange.cc
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/src/G4ChargeExchange.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/coherent_elastic/src/G4ChargeExchange.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ChargeExchange.cc,v 1.16 2009/09/22 16:21:46 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/coherent_elastic/src/G4ChargeExchangeProcess.cc
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/src/G4ChargeExchangeProcess.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/coherent_elastic/src/G4ChargeExchangeProcess.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ChargeExchangeProcess.cc,v 1.15 2008/11/27 16:43:00 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/coherent_elastic/src/G4DiffuseElastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/src/G4DiffuseElastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/coherent_elastic/src/G4DiffuseElastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4DiffuseElastic.cc,v 1.25 2009/09/22 16:21:46 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/coherent_elastic/src/G4ElasticHadrNucleusHE.cc
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/src/G4ElasticHadrNucleusHE.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/coherent_elastic/src/G4ElasticHadrNucleusHE.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ElasticHadrNucleusHE.cc,v 1.81 2009/09/22 16:21:46 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/coherent_elastic/src/G4HadronElastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/src/G4HadronElastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/coherent_elastic/src/G4HadronElastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HadronElastic.cc,v 1.65 2009/10/08 18:56:57 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/coherent_elastic/src/G4NuclNuclDiffuseElastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/src/G4NuclNuclDiffuseElastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/coherent_elastic/src/G4NuclNuclDiffuseElastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4NuclNuclDiffuseElastic.cc,v 1.2 2009/04/10 13:22:25 grichine Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/coherent_elastic/src/G4UHadronElasticProcess.cc
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/src/G4UHadronElasticProcess.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/coherent_elastic/src/G4UHadronElasticProcess.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4UHadronElasticProcess.cc,v 1.39 2008/10/22 08:16:40 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Geant4 Hadron Elastic Scattering Process -- header file
Index: trunk/source/processes/hadronic/models/coherent_elastic/src/G4VHadronElastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/src/G4VHadronElastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/coherent_elastic/src/G4VHadronElastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VHadronElastic.cc,v 1.4 2009/09/23 14:37:44 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Geant4 Header : G4VHadronElastic
Index: trunk/source/processes/hadronic/models/coherent_elastic/src/G4WHadronElasticProcess.cc
===================================================================
--- trunk/source/processes/hadronic/models/coherent_elastic/src/G4WHadronElasticProcess.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/coherent_elastic/src/G4WHadronElasticProcess.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4WHadronElasticProcess.cc,v 1.2 2009/09/22 16:21:46 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Geant4 Hadron Elastic Scattering Process 
Index: trunk/source/processes/hadronic/models/de_excitation/History
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/History	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/History	(revision 1228)
@@ -14,4 +14,38 @@
      * Please list in reverse chronological order (last date on top)
      ---------------------------------------------------------------
+
+09 December 2009 Gunter Folger  (hadr-deex-V09-02-23)
+-----------------------------------------------------
+- Include fixes in ablation by Pete Truscott:
+   Ablation has been updated, largely to comply with updates in
+   G4Evaporation, but also some oddities in the way G4Fragment works 
+   (or doesn't work!), and to fix a bug in fragment identification 
+   when evaporation isn't used.
+
+01 December 2009 Gabriele Cosmo (hadr-deex-V09-02-22)
+-----------------------------------------------------
+- Fixed singletons in utils sub-module to canonical form, to help preventing
+  leaks reported by Valgrind (tag hadr-deex-util-V09-02-01).
+- Corrected argument to std::pow() in G4FermiConfiguration.cc to fix
+  compilation problem on Windows VC7.
+
+27 November 2009 Vladimir Ivanchenko (hadr-deex-V09-02-21)
+----------------------------------------------------------
+- G4ExcitationHandler - cleanup the logic; reduce number internal vectors;
+                        fixed memory leak; should work bit faster
+
+24 November 2009 Vladimir Ivanchenko (hadr-deex-V09-02-20)
+----------------------------------------------------------
+- G4ExcitationHandler - fixed double deletion only on top of tag 18
+
+23 November 2009 Vladimir Ivanchenko (hadr-deex-V09-02-19)
+----------------------------------------------------------
+- G4ExcitationHandler - fixed double deletion; cleanup logic of
+                        new/delete of intermediate G4Fragments
+                        reducing number of coping
+
+22 November 2009 Vladimir Ivanchenko (hadr-deex-V09-02-18)
+----------------------------------------------------------
+- G4FissionLevelDensityParameter tuning using IAEA benchmark
 
 19 November 2009 Vladimir Ivanchenko (hadr-deex-V09-02-17)
Index: trunk/source/processes/hadronic/models/de_excitation/ablation/include/G4WilsonAblationModel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/ablation/include/G4WilsonAblationModel.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/ablation/include/G4WilsonAblationModel.hh	(revision 1228)
@@ -40,6 +40,6 @@
 // MODULE:              G4WilsonAblationModel.hh
 //
-// Version:		B.1
-// Date:		15/04/04
+// Version:		1.0
+// Date:		08/12/2009
 // Author:		P R Truscott
 // Organisation:	QinetiQ Ltd, UK
@@ -58,4 +58,11 @@
 // Beta release
 //
+// 08 December 2009, P R Truscott, QinetiQ Ltd, UK
+// Ver 1.0
+// Introduced vector of evaporation channels and evaporation factory.  Also
+// copied directly over the SumProbabilities class in G4Evaporation.hh at
+// version 9.2.r9, just in cases there's any subtle differences.  See .cc
+// file comments to see impact of the rest of the changes.
+//
 // %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 ////////////////////////////////////////////////////////////////////////////////
@@ -67,4 +74,7 @@
 #include "G4ParticleDefinition.hh"
 #include "globals.hh"
+#include "G4VEvaporationFactory.hh"
+#include "G4EvaporationFactory.hh"
+
 
 #include <vector>
@@ -99,21 +109,24 @@
     VectorOfFragmentTypes  evapType;
 
-    class SumProbabilities : 
-      public std::binary_function<G4double,G4double,G4double>
-    {
-      public:
-        SumProbabilities() : total(0.0) {}
-        G4double operator() (G4double& /* probSoFar */, G4VEvaporationChannel*& frag)
-        {
-          total += frag->GetEmissionProbability();
-          return total;
-        }
+    std::vector<G4VEvaporationChannel*> * theChannels;
+    G4VEvaporationFactory * theChannelFactory;
 
-        G4double GetTotal() { return total; }
-      public:
-      G4double total;
+  class SumProbabilities : public std::binary_function<G4double,G4double,G4double>
+  {
+  public:
+    SumProbabilities() : total(0.0) {}
+    G4double operator() (G4double& /* probSoFar */, G4VEvaporationChannel*& frag)
+    { 
+      G4double temp_prob = frag->GetEmissionProbability();
+      if(temp_prob >= 0.0) total += temp_prob;
+      //      total += frag->GetEmissionProbability();
+      return total;
+    }
+    
+    G4double GetTotal() { return total; }
+  public:
+    G4double total;
+    
   };
-                                                                                
-
 
 };
